Subject: wu-ftpd interaction with directory security under AIX 4.1.4

From: [email-masked]
Date: Wed, 7 May 1997 12:42:34 -0400

This is maybe a newbie question, but we're stumped and really need some
help.  (I've reviewed the archives back to October, '96 and haven't found
anything similar.)
We implemented the installp version of wu-ftpd 2.4 (from the Bull ftp
site).  It works fine from a 'secure ftp' standpoint, but we have
encountered the following problem.  When wu-ftpd is active, PERL scripts
invoked by an AIX shell script cannot copy or move files from a directory
owned by the same owner as the script, to a directory owned by a member of
the wu-ftpd guestgroup.  When the standard AIX ftpd is active, instead of
wu-ftpd, the scripts work just fine.  I would not have expected the ftp
daemon to affect the performance of processes not involved with ftp, but we
have tested this several times, where the only thing we change is the
active ftpd (i.e., edit /etc/inetd.conf to comment out one ftp line and
uncomment the other, run refresh -s inetd).  The results are consistent.
Does anyone know how to fix this, or have any ideas about fixing it?